# Ref. https://fedoraproject.org/wiki/Packaging:Python
%global pkgname fleure
%global cli     %{pkgname}_cli
%global desc \
A package level static analysis tool for systems running RPM-based linux \
distributions such like RHEL (primary target) and Fedora.

Name:           python-%{pkgname}
Version:        0.2.0.20200505
Release:        1%{?dist}
Summary:        Package level static analysis tool for RPM-based Linux systems
License:        AGPLv3+ and GPLv3+
URL:            https://github.com/ssato/fleure
Source0: %{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-tools

%description    %{desc}

%package     -n python3-%{pkgname}
Summary:        %{summary}
Requires:       python-%{pkgname}-common
Requires:       python3-beautifulsoup4
Requires:       python3-anyconfig
Requires:       python3-anytemplate
Requires:       python3-networkx
# https://bugzilla.redhat.com/show_bug.cgi?id=1708372
Requires:       python3-networkx-test
Requires:       python3-nltk
Requires:       python3-sqlalchemy
Requires:       python3-tablib
Requires:       rpm-python3
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname} %{desc}

%package     -n python-%{pkgname}-common
Summary:        %{pkgname} common data files
Requires:       graphviz
Requires:       libosinfo

%description -n python-%{pkgname}-common
Common data files of %{pkgname}.

%prep
%autosetup -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install
(cd %{buildroot}/%{_bindir} && mv fleure_cli{,-3})

%files -n python3-%{pkgname}
%{python3_sitelib}/*
%doc README.rst
%{_bindir}/*

%files -n python-%{pkgname}-common
%{_sysconfdir}/%{pkgname}.d/*.yml
%{_datadir}/%{pkgname}/templates/2/*/*.*

%changelog
* Tue Nov 19 2019 Satoru SATOH <satoru.satoh@gmail.com> - 0.2.0-1
- Drop py2 support
- Many cleanups

* Thu May 16 2019 Satoru SATOH <ssato@redhat.com> - 0.1.3-1
- Make it work with the latest networkx

* Sat May 11 2019 Satoru SATOH <ssato@redhat.com> - 0.1.2-1
- fix: add some dirty hacks to build for python 2

* Sat May 11 2019 Satoru SATOH <ssato@redhat.com> - 0.1.1-1
- Build only for python 3 by default

* Sun Oct  4 2015 Satoru SATOH <ssato@redhat.com> - 0.1-1
- Initial packaging originally came from the part of rpmkit
